summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-10-16 14:00:54 +0200
committerMichał Górny <mgorny@gentoo.org>2015-10-16 14:00:54 +0200
commit1ab564429ea399c6bda80bdda14fdc376dec36cb (patch)
treef9d9a87cdefbb76d660a38cf0b3a1e64d34d79f1 /net-libs
parentx11-misc/autocutsel: Version bump. (diff)
parentnet-libs/miniupnpc: Improve usex use (diff)
downloadgentoo-1ab564429ea399c6bda80bdda14fdc376dec36cb.tar.gz
gentoo-1ab564429ea399c6bda80bdda14fdc376dec36cb.tar.bz2
gentoo-1ab564429ea399c6bda80bdda14fdc376dec36cb.zip
net-libs/miniupnpc: Merge "Version bump to 1.9.20151008"
With minor fixes on top of it. Pull-Request: https://github.com/gentoo/gentoo/pull/214
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/miniupnpc/Manifest1
-rw-r--r--net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/net-libs/miniupnpc/Manifest b/net-libs/miniupnpc/Manifest
index eb318f30498b..8578d302c828 100644
--- a/net-libs/miniupnpc/Manifest
+++ b/net-libs/miniupnpc/Manifest
@@ -1,3 +1,4 @@
DIST miniupnpc-1.8.tar.gz 70624 SHA256 bc5f73c7b0056252c1888a80e6075787a1e1e9112b808f863a245483ff79859c SHA512 8eedac9ad473fc952ca8896fe534d6da6b1b234e8b6f35f721394d4c71aca84ed287ca6c4f0455b50d97a45e4cd34e27d99a6813386e0864781364aa607e13d4 WHIRLPOOL 5b76ccbb5ed7daa9bb0d481b424b7c31a5f6dc85c5c812ba10175a29aefc0d3924f3db2aa8c3529d1241be59d67d1d4c702d27aad2de8c8a07fecf3857d73169
DIST miniupnpc-1.9.20150427.tar.gz 78424 SHA256 b3207ddc0b0001887d6a29260e8d609d0ad2c35bec99a2358281bb8951919837 SHA512 463758b3c104cdc768d99e044acdf607d457eaaefec12fc20e0086de523b9c61ed6354dd2269052ae367b22957158fd813440dce4f51a8d60f8d251d2c85f336 WHIRLPOOL e6f635d1dd5e728a75e9852e0f2e0e6b8c3dfb200d479133fd183e8741628d7c0dd016ffacc7d0d2bfb13798cd7d2e57b26b48a36e1555c721b4c58038c1c5ee
DIST miniupnpc-1.9.20150917.tar.gz 82609 SHA256 3087c32929c1e9db4947d6a184694e06ec604bca29449b75daec295a5d8f11da SHA512 1fe2613d19cbd16b6f6e9c8205e984548fb96d032a71a849f9b25486dc71b07ee270d2bfc324f218abe80c45f0b13b6af00e59cbf3a9e35b83ea5073bb897f65 WHIRLPOOL 60d0e9c94ddf8ef19106217158d01cc2f3edb854f34326c80c6ae694b65b80f1bc6810cc2b24a7b8525ef7c3982324c9859bdbdcb2e2e944747c371ba2015a6a
+DIST miniupnpc-1.9.20151008.tar.gz 83538 SHA256 e444ac3b587ce82709c4d0cfca1fe71f44f9fc433e9f946b12b9e1bfe667a633 SHA512 b13e6044184f47d0f9e78c4c97d2887ab763121b2b21c86652bf3ea1b05335cfbcfd91eecb8d1dcfb5530f2528e6cf3e9c49c742d5e771dba68a774d2c2ad4ca WHIRLPOOL 839b531eb6cae7ada0bbaa0c4230a1f6889f6a288a114262bf6e27aa27638800636127fea3066427fb030e8f449794681d2bffeb8e2d30876d8ef9e4a3ade3cc
diff --git a/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild b/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
new file mode 100644
index 000000000000..5377731776a7
--- /dev/null
+++ b/net-libs/miniupnpc/miniupnpc-1.9.20151008.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="UPnP client library and a simple UPnP client"
+HOMEPAGE="http://miniupnp.free.fr/"
+SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/14"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="ipv6 kernel_linux static-libs"
+
+RDEPEND=""
+DEPEND="kernel_linux? ( sys-apps/lsb-release sys-apps/which )"
+
+src_prepare() {
+ epatch_user
+
+ # These bins are not installed, upnpc-static requires building static lib
+ # Reduce APIVERSION used to build SONAME since last API change was
+ # backwards compatible to surprise of all the universe.
+ sed -i -e '/EXECUTABLES =/s/ upnpc-static listdevices//' \
+ -e '/APIVERSION/s:15:14:' Makefile || die
+
+ if ! use static-libs; then
+ sed -i \
+ -e '/FILESTOINSTALL =/s/ $(LIBRARY)//' \
+ -e '/$(INSTALL) -m 644 $(LIBRARY) $(DESTDIR)$(INSTALLDIRLIB)/d' \
+ Makefile || die
+ fi
+}
+
+# Upstream cmake causes more trouble than it fixes,
+# so we'll just stay with the Makefile for now.
+
+src_compile() {
+ tc-export CC AR
+ emake upnpc-shared $(usex static-libs upnpc-static '')
+}
+
+src_test() {
+ emake -j1 HAVE_IPV6=$(usex ipv6) check
+}
+
+src_install() {
+ emake \
+ PREFIX="${D}" \
+ INSTALLDIRLIB="${D}usr/$(get_libdir)" \
+ install
+
+ dodoc README Changelog.txt
+}